services:
  php:
    environment:
      XDEBUG_MODE: "off"
    extra_hosts:
      - "host.docker.internal:host-gateway"
    depends_on:
      - mailer
    # networks:
    #   backend:
    #     ipv4_address: 172.23.0.10

  ###> doctrine/doctrine-bundle ###
  ###< doctrine/doctrine-bundle ###

  ###> symfony/mailer ###
  mailer:
    image: axllent/mailpit
    ports:
      - "1025:1025"
      - "8025:8025"
    environment:
      MP_SMTP_AUTH_ACCEPT_ANY: 1
      MP_SMTP_AUTH_ALLOW_INSECURE: 1
    # networks:
    #   backend:
    #     ipv4_address: 172.23.0.13

# networks:
#   backend:
#     name: escapepage_network
#     driver: bridge
#     ipam:
#       config:
#         - subnet: 172.23.0.0/16
#           gateway: 172.23.0.1
#     attachable: true
###< symfony/mailer ###
